#!/usr/bin/env python3
import sys
from xml.dom.minidom import parse
#from defusedxml.minidom import parse

def parseXML(fileName):
    dom = parse(fileName)
    book = dom.getElementsByTagName("book")[0]
    print("Gatunek: "+book.getAttribute("genre"))
    print("Autor: "+dom.getElementsByTagName("author")[0].firstChild.data)
    print("Tytuł: "+dom.getElementsByTagName("title")[0].firstChild.data)
    print("Wydawca: "+dom.getElementsByTagName("publisher")[0].firstChild.data)
    print("Rok wydania: "+dom.getElementsByTagName("year")[0].firstChild.data)

if __name__ == "__main__":
    if len(sys.argv) == 2:
        parseXML(sys.argv[1])
